# Matchmaking Post-Processing Demo

## Introduction

This demo project illustrates three approaches to matchmaking post-processing:

1. Continuously requeue all tickets until they time out.
2. Divide each ticket from the original battle to form new, separate battles.
3. Maintain the original battle configuration without any changes.

Use this as a guide to tailor your own post-processing logic. Enjoy!

## Protocol Compilation

To call the PGOS API, you might need to compile the corresponding OpenAPI YAML file, available for download [here](https://pgos.intlgame.com/pgosdoc/extension-data/).

Install `swagger-codegen` before proceeding. To generate code for a specific language, such as Go, run the following command:

```bash
swagger-codegen generate -i ./plugin-redoc-1.yaml -l go -o ./output/
```

## Best Practices

When implementing the Virtual Server to process post-match requests:

- Ensure that the HTTP response includes every Ticket from the original request. Each ticket must be either reassigned to a new battle or returned to the matchmaking queue.
- Refrain from adding or removing players within each Ticket. However, modifying their team, attributes, and other details is permissible.
- Respond promptly to HTTP requests to prevent match tickets from timing out due to excessive delays.