/*
 * PGOS Extension Data Schema
 *
 * This is the Extension Data Schema document of PGOS.
 *
 * API version: 0.25.1
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */
package swagger

type PlayerInfo struct {
	// Player id.
	PlayerId string `json:"player_id,omitempty"`
	// Player display name.
	DisplayName string `json:"display_name,omitempty"`
	// Player gender.
	Gender string `json:"gender,omitempty"`
	// Player avatar uri.
	AvatarUri string `json:"avatar_uri,omitempty"`
	// Player custom info.
	CustomInfo map[string]KvDataValue `json:"custom_info,omitempty"`
	// Player account platfrom: like apple, google, etc.
	AccountPlatform string `json:"account_platform,omitempty"`
	// Player account id.
	AccountId string `json:"account_id,omitempty"`
	// Player operating system, 0: Unknown platform, 1: Linux operating system, 2: Windows operating system, 3: macOS operating system, 4: Android operating system, 5: iOS operating system, 6: Xbox game console, 7: PlayStation game console, 8: Nintendo Switch game console, 9: Web platform (browser-based)
	Os int32 `json:"os,omitempty"`
	// Player account open id.
	AccountOpenId string `json:"account_open_id,omitempty"`
	// 0: fake account, 1: INTL, 2: MSDK, 3: WeGame, 4: PlayFab, 5: Steam, 6: Epic
	AccountProvider int32 `json:"account_provider,omitempty"`
}
